Get all audits made by authenticated employee Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/my/audits

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    the amount of audits per page (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • created_at string
      • uuid string
      • type string
      • old_values object
        Hide old_values attribute Show old_values attribute object
        • first_name string
      • new_values object
        Hide new_values attribute Show new_values attribute object
        • first_name string
      • user_agent string
      • ip_address string
      • event string
      • url string
      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
GET /api/v1/my/audits
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/my/audits' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    [
      {
        "created_at": "2026-06-08T16:08:02+01:00",
        "uuid": "a6f870ee-fd9a-419e-9327-67fc7138fc44",
        "type": "Sub Account",
        "old_values": {
          "first_name": "John"
        },
        "new_values": {
          "first_name": "Jonathan"
        },
        "user_agent": "Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:47.0) Gecko/20100101 Firefox/47.0",
        "ip_address": "127.0.0.1",
        "event": "updated",
        "url": "https://plannrcrm.com",
        "account": {
          "uuid": "0c2816a4-bbd2-4697-b43c-91edff78b954",
          "created_at": "2026-06-08T16:08:02+01:00",
          "updated_at": "2026-06-08T16:08:02+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "firm": "App\\Http\\Resources\\FirmResource",
          "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
          "primary_email": "App\\Http\\Resources\\ContactDetailResource",
          "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
          "assigned_adviser": "App\\Http\\Resources\\AccountResource",
          "assigned_administrator": "App\\Http\\Resources\\AccountResource",
          "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
          "introduced_by": "App\\Http\\Resources\\AccountResource",
          "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
          "groups": "App\\Http\\Resources\\GroupResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "owners": "App\\Http\\Resources\\AccountResource",
          "first_contact_date": "2026-06-08T16:08:02+01:00",
          "next_review_date": "2026-06-08T16:08:02+01:00",
          "previous_review_date": "2026-06-08T16:08:02+01:00",
          "anniversary_review_date": "2026-06-08T16:08:02+01:00",
          "terms_of_business_at": "2026-06-08T16:08:02+01:00",
          "client_agreement_at": "2026-06-08T16:08:02+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "joint_account_circle": "App\\Http\\Resources\\CircleResource",
          "circles": "App\\Http\\Resources\\CircleResource",
          "ownership_percentage": 100,
          "inactive_at": "2026-06-08",
          "last_interaction_at": "2026-06-08 16:08:02",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          },
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        }
      }
    ]
  ]
}